Subject: bug#43772: 27.1; (describe-variable) breaks eshell

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 07 Oct 2020 07:43:35 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> There was no dribble file attached, but I was able to reproduce the bug
> in Emacs 28, too.

A simpler way to reproduce the bug is to say

(require 'em-tramp)

This is because that file defines eshell/su, and when that's defined,
the command is passed onto the shell directly without any parsing (and
therefore no prompting).

The logic is in

(defun eshell-invoke-directly (command)
...
	 (fboundp (intern-soft (concat "eshell/" name))))))

I'm not an eshell user, so I'm not sure what's up with that?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no